## xrdesktop 0.13.2

=== meson_options.txt ===
option('api_doc',
  type: 'boolean',
  value: false,
  description: 'Build API documentation using GTK-Doc'
)

option('introspection', type : 'boolean', value : false)

=== debian/changelog ===
xrdesktop (0.13.2-1) unstable; urgency=medium

  * Initial Release. (Closes: #933562)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 14 Dec 2019 06:42:07 +0800

=== debian/control ===
Source: xrdesktop
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
               glslang-tools,
               libgxr-dev (>= 0.13.2-2),
               meson,
Standards-Version: 4.3.0
Section: contrib/libs
Homepage: https://gitlab.freedesktop.org/xrdesktop/xrdesktop/
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/xrdesktop
Vcs-Git: https://salsa.debian.org/xrdesktop-team/xrdesktop.git

Package: libxrdesktop-0.13-0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XR desktop interaction library
 library for XR interaction with classical desktop compositors.
 .
 This package includes the loader library.

Package: libxrdesktop-dev
Section: contrib/libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgxr-dev,
         libxrdesktop-0.13-0 (= ${binary:Version}),
Description: XR desktop interaction library -- development files
 library for XR interaction with classical desktop compositors.
 .
 This package includes files needed for development.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
	# Run tests without VR runtime
	meson build
	ninja -C build
	meson test -C build/ \
		--no-suite xrdesktop:xr \
		--no-suite xrdesktop:post-install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf shaders/*.spv

## xrdesktop 0.15.1

=== meson_options.txt ===
--- 
+++ 
@@ -4,4 +4,10 @@
   description: 'Build API documentation using GTK-Doc'
 )
 
+option('renderdoc',
+  type: 'boolean',
+  value: false,
+  description: 'Enable debugging XrdSceneRender with renderdoc'
+)
+
 option('introspection', type : 'boolean', value : false)

=== debian/changelog ===
xrdesktop (0.15.1-5.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:51:23 +1100

xrdesktop (0.15.1-5.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:58:58 +0000

xrdesktop (0.15.1-5.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:17:53 +0000

xrdesktop (0.15.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Python FTBFS. (Closes: #997389)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Feb 2023 20:37:39 +0200

xrdesktop (0.15.1-5) unstable; urgency=medium

  * Add Breaks+Replaces for libxrdesktop-0.13-0. (Closes: #971997)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 03 Dec 2020 19:57:21 +0800

xrdesktop (0.15.1-4) unstable; urgency=high

  * Correct the versioned Breaks and Replaces. (Closes: #966216)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 29 Jul 2020 15:27:06 +0800

xrdesktop (0.15.1-3) unstable; urgency=medium

  * Declaring a Breaks+Replaces relation. (Closes: #966216)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 28 Jul 2020 00:16:43 +0800

xrdesktop (0.15.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 23 Jul 2020 23:50:59 +0800

xrdesktop (0.15.1-1) experimental; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 21 Jul 2020 15:39:56 +0800

xrdesktop (0.14.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 27 Apr 2020 22:31:09 +0800

xrdesktop (0.14.1-1) unstable; urgency=medium

  * New upstream version 0.14.1
  * Add new package for settings application. (Closes: #958483)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 24 Apr 2020 15:04:16 +0800

xrdesktop (0.14.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 10 Apr 2020 15:36:07 +0800

xrdesktop (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-deps on gxr version 0.14.0. (Closes: #955607)
  * Build-deps on python3-dev and python-gi-dev.
  * Rename package name to match the sonames.
  * Move the package from contrib to main as it's build-deps gxr doesn't
    depends on non-free anymore.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 07 Apr 2020 11:19:06 +0800

=== debian/control ===
Source: xrdesktop
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               glslang-tools,
               libgxr-dev (>= 0.15),
               meson,
               python3-dev,
               python-gi-dev,
Standards-Version: 4.3.0
Section: libs
Homepage: https://gitlab.freedesktop.org/xrdesktop/xrdesktop/
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/xrdesktop
Vcs-Git: https://salsa.debian.org/xrdesktop-team/xrdesktop.git

Package: xrdesktop
Section: utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         libxrdesktop-0.15-0 (>= ${source:Version})
Recommends: kwin-effect-xrdesktop | gnome-shell-xrdesktop
Description: XR desktop interaction library -- settings application
 library for XR interaction with classical desktop compositors.
 .
 This package includes the settings application.

Package: libxrdesktop-0.15-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libxrdesktop-0.13-0 (<< 0.15), libxrdesktop-0.14-0 (<< 0.15)
Breaks: libxrdesktop-0.13-0 (<< 0.15), libxrdesktop-0.14-0 (<< 0.15)
Description: XR desktop interaction library
 library for XR interaction with classical desktop compositors.
 .
 This package includes the loader library.

Package: libxrdesktop-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgxr-dev,
         libxrdesktop-0.15-0 (= ${binary:Version}),
Description: XR desktop interaction library -- development files
 library for XR interaction with classical desktop compositors.
 .
 This package includes files needed for development.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_missing:
 	dh_missing --list-missing
